<div class="container">
  
    <div class="m2Sys-box">
      <form #form="ngForm" autocomplete="off" (submit)="addEmployee(form)">
        <button type="button" class="btn btn-primary float-md-none" (click)="backToList();">Back To List</button>
        <fieldset>
          <b><legend class="offset-5">Employee Add</legend></b>
            <div class="row">
              <div class="col-lg-12 col-md-12 col-sm-12">

                <div class="form-inline">
                  <div class="form-group col-lg-6 col-md-6 col-sm-12">
                    <label for="emp-add-first-name" class="col-lg-4 col-md-4 col-sm-12">First Name</label>
                    <input type="text" id="emp-add-first-name" class="form-control col-lg-6 col-md-6 col-sm-12 form-control-m2sys" name="emp-add-first-name" #empaddfirstname="ngModel" [(ngModel)]="employee.FirstName" maxlength="50" required />
                    <!--<label class="col-lg-4 col-md-4 col-sm-12" *ngIf="FirstName.errors.required">First name is required</label>-->
                    <label *ngIf="formValidation.FirstName.length>0" class="alert alert-danger">
                      {{formValidation.FirstName}}
                    </label>
                  </div>
                  <div class="form-group col-lg-6 col-md-6 col-sm-12">
                    <label for="emp-add-last-name" class="col-lg-4 col-md-4 col-sm-12">Last Name</label>
                    <input type="text" id="emp-add-last-name" class="form-control col-lg-6 col-md-6 col-sm-12 form-control-m2sys" name="emp-add-last-name" [(ngModel)]="employee.LastName" maxlength="50" />
                  </div>
                </div>
              </div>
              <div class="col-lg-12 col-md-12 col-sm-12">
                <div class="form-inline">
                  <div class="form-group col-lg-6 col-md-6 col-sm-12">
                    <label for="emp-add-first-name" class="col-lg-4 col-md-4 col-sm-12">Middle Name</label>
                    <input type="text" id="emp-add-middle-name" class="form-control col-lg-6 col-md-6 col-sm-12 form-control-m2sys" name="emp-add-middle-name" [(ngModel)]="employee.MiddleName" maxlength="50" />
                  </div>
                  <div class="form-group col-lg-6 col-md-6 col-sm-12">
                    <label for="emp-add-dob" class="col-lg-4 col-md-4 col-sm-12">Date Of Birth</label>
                    <input type="date" id="emp-add-dob" class="form-control col-lg-6 col-md-6 col-sm-12 form-control-m2sys" name="emp-add-dob" [value]="employee.DateOfBirth| date:'yyyy-MM-dd'" (input)="employee.DateOfBirth=($event.target.valueAsDate)" required />
                    <label *ngIf="formValidation.DateOfBirth.length>0" class="alert alert-danger">
                      {{formValidation.DateOfBirth}}
                    </label>
                  </div>
                </div>
              </div>
              <div class="col-lg-12 col-md-12 col-sm-12">
                <div class="form-inline">
                  <div class="form-group col-lg-6 col-md-6 col-sm-12">
                    <label for="emp-add-joining-date" class="col-lg-4 col-md-4 col-sm-12">Joining Date</label>
                    <input type="date" id="emp-add-joining-date" class="form-control col-lg-6 col-md-6 col-sm-12 form-control-m2sys" name="emp-add-joining-date" [value]="employee.JoiningDate| date:'yyyy-MM-dd'" (input)="employee.JoiningDate=($event.target.valueAsDate)" />
                    <label *ngIf="formValidation.JoiningDate.length>0" class="alert alert-danger">
                      {{formValidation.JoiningDate}}
                    </label>
                  </div>
                  <div class="form-group col-lg-6 col-md-6 col-sm-12">
                    <label for="emp-add-department" class="col-lg-4 col-md-4 col-sm-12">Department</label>
                    <!--<input type="text" id="emp-add-department" class="form-control col-lg-6 col-md-6 col-sm-12 form-control-m2sys" name="emp-add-department" [(ngModel)]="employee.DepartmentId" required />-->
                    <select name="emp-add-department" id="emp-add-department" class="form-control" [(ngModel)]="employee.DepartmentId">
                      <option *ngFor="let department of departmentList" value={{department.Id}}>
                        {{department.Name}}
                      </option>
                    </select>
                    <label *ngIf="formValidation.Department.length>0" class="alert alert-danger">
                      {{formValidation.Department}}
                    </label>
                  </div>
                </div>
              </div>
              <div class="col-lg-12 col-md-12 col-sm-12">
                <div class="form-inline">
                  <div class="form-group col-lg-6 col-md-6 col-sm-12">
                    <label for="emp-add-designation" class="col-lg-4 col-md-4 col-sm-12">Designation</label>
                    <!--<input type="text" id="emp-add-designation" class="form-control col-lg-6 col-md-6 col-sm-12 form-control-m2sys" name="emp-add-designation" [(ngModel)]="employee.DesignationId" required />-->
                    <select name="emp-add-designation" id="emp-add-designation" class="form-control" [(ngModel)]="employee.DesignationId">
                      <option *ngFor="let designation of designationList" value={{designation.Id}}>
                        {{designation.Name}}
                      </option>
                    </select>
                    <label *ngIf="formValidation.Designation.length>0" class="alert alert-danger">
                      {{formValidation.Designation}}
                    </label>
                  </div>

                </div>
              </div>
              <div class="form-group offset-10">
                <button type="submit" class="btn btn-success float-right">Save</button>
              </div>
            </div>
</fieldset>
      </form>
  </div>
</div>
